Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Server Containers for J2EE Support for JavaServer Pages API Reference 10g Release 2 (10.1.2) B14015-02
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jsp.webutil.fileaccess
Class HttpUploadBean

`java.lang.Object
HttpFileAccessBean
oracle.jsp.webutil.fileaccess.HttpUploadBean`

public class HttpUploadBean
extends HttpFileAccessBean

This bean receives a form based mutlipart encoded stream containing files and writes them out to the specified destination, which may be a directory in a filesystem or a column in a database.

See Also:
  Serialized Form

Constructor Summary
`HttpUploadBean()`

Method Summary
`java.lang.String` | `getDataColumn()`
`java.lang.String` | `getDestination()`
`java.lang.String` | `getDestinationType()`
`java.lang.String` | `getFileNameColumn()`
`java.util.Enumeration` | `getFileNames()` return Enumeration of file names that were uploaded not available from corresponding tag
`java.lang.String` | `getFileType()`
`java.lang.String` | `getOverwrite()`
`java.lang.String` | `getParameter(java.lang.String name)` return the list of file names as a comma separated string
`java.lang.String` | `getPrefixColumn()`
`java.lang.String` | `getTable()`
`void` | `setBaseDir(javax.servlet.ServletContext servletContext, javax.servlet.http.HttpServletRequest request)`
`void` | `setConnection(ConnBean cb)`
`void` | `setConnection(java.sql.Connection conn)`
`void` | `setDataColumn(java.lang.String s)`
`void` | `setDestination(java.lang.String s)`
`void` | `setDestinationType(int destType)`
`void` | `setDestinationType(java.lang.String destType)`
`void` | `setFileNameColumn(java.lang.String s)`
`void` | `setFileType(int i)`
`void` | `setFileType(java.lang.String s)`
`void` | `setOverwrite(boolean overwrite)`
`void` | `setOverwrite(java.lang.String s)`
`void` | `setPrefixColumn(java.lang.String s)`
`void` | `setTable(java.lang.String s)`
`void` | `setTempUpload(boolean overwrite)`
`void` | `setTempUpload(java.lang.String s)`
`void` | `upload(javax.servlet.http.HttpServletRequest req)` Upload the files from the form based request

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HttpUploadBean

    public HttpUploadBean()

Method Detail

### upload

    public void upload(javax.servlet.http.HttpServletRequest req)
                throws FileAccessException

  Upload the files from the form based request
  Parameters:
    `req` - HttpServletRequest
  Throws:
    `FileAccessException`

### setOverwrite

    public void setOverwrite(java.lang.String s)
                      throws FileAccessException

  Throws:
    `FileAccessException`

### setOverwrite

    public void setOverwrite(boolean overwrite)

  Parameters:
    `overwrite` - the overwrite value to allow row update or overwriting existing files

### setDestinationType

    public void setDestinationType(java.lang.String destType)
                            throws FileAccessException

  Throws:
    `FileAccessException`

### setDestinationType

    public void setDestinationType(int destType)
                            throws FileAccessException

  Throws:
    `FileAccessException`

### setDestination

    public void setDestination(java.lang.String s)
                        throws FileAccessException

  Throws:
    `FileAccessException`

### setFileType

    public void setFileType(java.lang.String s)
                     throws FileAccessException

  Throws:
    `FileAccessException`

### setFileType

    public void setFileType(int i)
                     throws FileAccessException

  Throws:
    `FileAccessException`

### setTable

    public void setTable(java.lang.String s)
                  throws FileAccessException

  Throws:
    `FileAccessException`

### setPrefixColumn

    public void setPrefixColumn(java.lang.String s)
                         throws FileAccessException

  Throws:
    `FileAccessException`

### setFileNameColumn

    public void setFileNameColumn(java.lang.String s)
                           throws FileAccessException

  Throws:
    `FileAccessException`

### setDataColumn

    public void setDataColumn(java.lang.String s)
                       throws FileAccessException

  Throws:
    `FileAccessException`

### setConnection

    public void setConnection(ConnBean cb)

### setConnection

    public void setConnection(java.sql.Connection conn)

### setBaseDir

    public void setBaseDir(javax.servlet.ServletContext servletContext,
                           javax.servlet.http.HttpServletRequest request)
                    throws FileAccessException

  Parameters:
    `servletContext` - - current ServletContext (application obj from jsp)
    `request` - - current HttpServletRequest (request obj from jsp) for file system, the basedir is defined in WEB-INF/fileaccess.properties
  Throws:
    `FileAccessException`

### setTempUpload

    public void setTempUpload(java.lang.String s)
                       throws FileAccessException

  Throws:
    `FileAccessException`

### setTempUpload

    public void setTempUpload(boolean overwrite)
                       throws FileAccessException

  Throws:
    `FileAccessException`

### getOverwrite

    public java.lang.String getOverwrite()

### getDestinationType

    public java.lang.String getDestinationType()

### getDestination

    public java.lang.String getDestination()

### getFileType

    public java.lang.String getFileType()

### getTable

    public java.lang.String getTable()

### getPrefixColumn

    public java.lang.String getPrefixColumn()

### getFileNameColumn

    public java.lang.String getFileNameColumn()

### getDataColumn

    public java.lang.String getDataColumn()

### getFileNames

    public java.util.Enumeration getFileNames()

  return Enumeration of file names that were uploaded not available from corresponding tag

### getParameter

    public java.lang.String getParameter(java.lang.String name)

  return the list of file names as a comma separated string

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Server Containers for J2EE Support for JavaServer Pages API Reference 10g Release 2 (10.1.2) B14015-02
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004, 2005, Oracle. All rights reserved.